> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-10/v10-7-0.md).

# Version 10.7.0 Changelog (February 7th, 2024)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 10.7.0.83386
* Release Date: February 7th, 2024
* Built with Xcode 15.1 (15C65)

## New

* Added support for opening email link annotations without a `mailto:` prefix.
* Added the `SetSnappingMode` API to the `PTPDFViewCtrl` class.
* Added support for scaling font of free text annotations while resizing.
* Exposed the `selectAnnotation` method on the `PTFormFillTool` class.

## Fixed

* The Insert toolbar's "Add Pages" button visibility can now be controlled using the viewer's `addPagesButtonHidden` API.
* The annotation style presets are saved when changing the tool in the toolbar.
* Fixed the appearance of free text annotations not refreshing after resizing.
* Fixed a crash when using typed signatures.
* Fixed a crash when exporting a local document.
* Fixed free text annotations not using the default style when created from the long press menu.
* Fixed the annotation style picker covering the screen in landscape mode.
* Fixed a crash when showing the colour picker from the free text `inputAccessoryView`.
* Fixed a crash when trying to print a PDF without OCG layers.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-10/v10-7-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
